Subject: bug#64558: closed (Re: [bug#64558] [PATCH 0/2] gnu: crypto+: Update to 8.8.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 17 Oct 2023 09:49:03 +0000

Your bug report

#64558: [PATCH 0/2] gnu: crypto+: Update to 8.8.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64558: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64558
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#64558] [PATCH 0/2] gnu: crypto+: Update to 8.8.0.
From: Christopher Baines <[email-masked]>
To: Jean-Pierre De Jesus DIAZ <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 17 Oct 2023 10:38:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Jean-Pierre De Jesus DIAZ via Guix-patches via <[email-masked]> writes:

> This updates the package definition of crypto++ to the latest
> version and also improves the phases expressions by removing
> unused ones, for example, the library doesn't build anymore with
> `-march=native' by default and the pkg-config file can be created
> by a make target.
>
> Enables cross-compilation for GNU/Linux targets and also for MinGW
> targets.
>
> Also, as the package can be built with `-march=...` I added the tunable
> option to the package.  This package also provides SIMD implementations
> of some functions, but these need to be explicitly used by dependent
> packages.
>
>
> Jean-Pierre De Jesus DIAZ (2):
>   gnu: crypto++: Update to 8.8.0.
>   gnu: crypto++: Add tunable property.
>
>  gnu/packages/crypto.scm | 84 ++++++++++++++---------------------------
>  1 file changed, 29 insertions(+), 55 deletions(-)

Thanks for the patches, and apologies for the long delay in looking at
them.

I've now pushed them to master as
c8312a6d070677909130c227e9a5bbcaa6a57bfe.

Chris

Subject: [PATCH 0/2] gnu: crypto+: Update to 8.8.0.
From: Jean-Pierre De Jesus DIAZ <[email-masked]>
To: [email-masked]
Cc: Jean-Pierre De Jesus DIAZ <[email-masked]>
Date: Mon, 10 Jul 2023 19:45:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This updates the package definition of crypto++ to the latest
version and also improves the phases expressions by removing
unused ones, for example, the library doesn't build anymore with
`-march=native' by default and the pkg-config file can be created
by a make target.

Enables cross-compilation for GNU/Linux targets and also for MinGW
targets.

Also, as the package can be built with `-march=...` I added the tunable
option to the package.  This package also provides SIMD implementations
of some functions, but these need to be explicitly used by dependent
packages.

Jean-Pierre De Jesus DIAZ (2):
  gnu: crypto++: Update to 8.8.0.
  gnu: crypto++: Add tunable property.

 gnu/packages/crypto.scm | 84 ++++++++++++++---------------------------
 1 file changed, 29 insertions(+), 55 deletions(-)

base-commit: 2426e51688d479042ea115a634c6be2d8b9f3b99
-- 
2.34.1